add auragem.space as a source of hosts (commented)

Full URI: gemini://auragem.space/search/capsules

Commented for now, because most of the hosts it adds are dead.
This commit is contained in:
nervuri 2022-11-06 00:00:00 +00:00
parent 54fbbd8fc1
commit eb94a53242
Signed by: nervuri
GPG Key ID: C4769EEA7BA61672
1 changed files with 10 additions and 1 deletions

View File

@ -3,6 +3,7 @@
# Download and merge lists of Gemini hosts from:
# gemini://geminispace.info/known-hosts
# gemini://gemini.bortzmeyer.org/software/lupa/lupa-capsules.txt
# gemini://auragem.space/search/capsules
set -o errexit # (-e) exit immediately if any command has a non-zero exit status
set -o nounset # (-u) don't accept undefined variables
@ -24,10 +25,18 @@ if [ -z "$hosts2" ]; then
>&2 echo "lupa-capsules.txt download failed."
exit 1
fi
#hosts3=$(agunua --binary --maximum-time 20 \
# gemini://auragem.space/search/capsules 2>/dev/null \
# | grep "gemini://" | cut -d ' ' -f 2 | cut -d '/' -f 3)
#if [ -z "$hosts3" ]; then
# >&2 echo "geminispace.info/known-hosts download failed."
# exit 1
#fi
# Concatenate the two files.
# Concatenate hosts files.
hosts="$hosts1
$hosts2"
#$hosts3"
# Remove empty lines; convert punycode to unicode; sort entries; remove duplicates.
hosts=$(echo "$hosts" | awk NF | idn --allow-unassigned --idna-to-unicode | sort -fu)